<?php 
require_once("connect.php");
//require_once("inc/movimentacoes_class.php");

/*
$movimenta = new Movimentacao;

$movimenta->entradaEstoque("501", 1);
echo "<br>";
$movimenta->entradaEstoque("200", 2);
echo "<br>";
$movimenta->entradaEstoque("612", 3);
echo "<br><br>";


$movimenta->saidaEstoque(38, 1);
echo "<br>";
$movimenta->saidaEstoque(40, 2);
echo "<br>";
$movimenta->saidaEstoque(41, 3);
echo "<br><br>";
*/

$sql = 'select 	f.ds_funcionalidade,
								f.ds_path_funcionalidade,
								m.id id_modulo,
                                m.ds_modulo,
								f.id as id_funcionalidade,
								mf.id_modulo
                      from erpc_funcionalidades f
					    inner join   erpc_grupo_funcionalidade gf
								on gf.id_funcionalidade = f.id
						inner join   erpc_usuarios_grupo ug
								on ug.id = gf.id_grupo
                        left outer join erpc_modulos_funcionalidades mf
								on mf.id_funcionalidade=f.id
                        left outer join erpc_modulos m
								on m.id=mf.id_modulo
                      where f.st_ativo=1
						and (m.st_ativo=1 or m.id is null)
						and ug.id = 1
                      order by  f.ds_funcionalidade
								, m.ds_modulo
                      ';
$stmt = mysqli_prepare($conexao, $sql);
if ($stmt) {
    mysqli_stmt_execute($stmt);
    $modulos = my_fetch_assoc_stmt($stmt);
    mysqli_stmt_close($stmt);
} else {
    echo '<!-- ' . $sql . PHP_EOL . mysqli_error($conexao) . ' -->';
    $modulos = array();
}

$result = mysqli_query($conexao, $sql) or die(mysqli_error($conexao));
if(mysqli_num_rows($result) > 0){
    while($modulo = mysqli_fetch_assoc($result)){
        $id_modulo = base64_encode($modulo['id_modulo']);
        $ref = $modulo['ds_path_funcionalidade'] . "?modulo=$id_modulo";
        echo "ref: $ref <br>";
        $value = $modulo['id_modulo'] . ';' . $modulo['id_funcionalidade'];
        echo "value: $value <br>";
        $text = $modulo['ds_funcionalidade'] . (empty($modulo['ds_modulo']) ? '' : ' (' . $modulo['ds_modulo'] . ')');
        echo "text: $text <br>";
        //echo '<option value="' . $ref . '">' . $text . '</option>' . PHP_EOL;
        echo "<br>";
    }
}
/*
foreach($modulos as $modulo) {
    
    $ref = $modulo['ds_path_funcionalidade'];
    echo "ref: $ref <br>";
    $value = $modulo['id_modulo'] . ';' . $modulo['id_funcionalidade'];
    echo "value: $value <br>";
    $text = $modulo['ds_funcionalidade'] . (empty($modulo['ds_modulo']) ? '' : ' (' . $modulo['ds_modulo'] . ')');
    echo "text: $text <br>";
    //echo '<option value="' . $ref . '">' . $text . '</option>' . PHP_EOL;
    echo "<br>";
   
}
*/
?>